#include	"sh7040.h"
#include	"gmachine.h"
#include	"userlog.h"
#define		UserLogAdd	0x004FF000	/* ޯpRAM̈̐擪w肷	*/

void	boot(void);
void	__main(void);
int		main(void);

void	sectionInit(void);
void	cmt0_init(void);
void	int_cmi0(void);
void	mtu0_init(void);
void	int_mtu0(void);

long	UserLogTimer = 0;

/************************************/
/*	__main(_~[)					*/
/************************************/
void __main(void)
{
}

/************************************/
/*	CPU						*/
/************************************/
void boot(void)
{
	/* oXݒ */
	BSC.BCR1.WORD		= 0x202f;		/*	CS0:16bit						*/
										/*	CS1:32bit						*/
										/*	CS2:16bit						*/
										/*	CS3:16bit						*/
	BSC.BCR2.WORD		= 0x5500;		/*	CS0~CS3 1AChTCN		*/
	BSC.WCR1.WORD		= 0x0002;		/*	CS0 1wait  CS1 0wait			*/


	/* hn|[gݒ */
	PFC.PACRH.WORD		= 0x5000;		/*	WRHH WRHL PA21~16				*/
	PFC.PACRL1.WORD		= 0x5550;		/*	CK RD WRH WRL CS1 CS0 PA9,8		*/
	PFC.PACRL2.WORD		= 0x0140;		/*	PA7~0							*/

	PFC.PBCR1.WORD		= 0x000a;		/*	A21,20							*/
	PFC.PBCR2.WORD		= 0xa005;		/*	A19~16 PB5~2					*/

	PFC.PCCR.WORD		= 0xffff;		/*	A15~0							*/

	PFC.PDCRH1.WORD		= 0x5555;		/*	D31~24							*/
	PFC.PDCRH2.WORD		= 0x5555;		/*	D23~16							*/
	PFC.PDCRL.WORD		= 0xFFFF;		/*	D23~16							*/

	PFC.PECR1.WORD		= 0x0000;		/*	PE15~8							*/
	PFC.PECR2.WORD		= 0x0000;		/*	PE7~0							*/

	PFC.PAIORH.WORD		= 0x003f;		/*	[OUT]PA21~16 [IN]--				*/
	PFC.PAIORL.WORD		= 0x03ff;		/*	[OUT]PA9~0   [IN]--				*/
	PFC.PBIOR.WORD		= 0x003c;		/*	[OUT]PA5~2   [IN]--				*/
	PFC.PEIOR.WORD		= 0xffff;		/*	[OUT]PE15~0  [IN]--				*/

	sectionInit();						/*					*/

	main();

	for(;;);
}

/************************************/
/*	MAIN֐						*/
/************************************/
int
main()
{
	char	buf[10] = "Count =  ";
	short	UserLogCount = 0;


	cmt0_init();						/*	CMT0					*/
	mtu0_init();

	UserLogInit(UserLogAdd);			/* հް۸޸ڽݒ			*/

	set_imask(0);						/*	荞݃}XN			*/

	for(;;) {
		if ( 100 <= UserLogTimer ) {
			UserLogTimer = 0;
			buf[8] = UserLogCount | 0x30;
			UserLogPut(&buf[0]);		/* հް۸ޕ\			*/
			UserLogCount++;
			if (UserLogCount >= 10 ){
				UserLogCount = 0;
			}
		}
	}
	return 0;
}

/************************************/
/*	ZNV				*/
/************************************/
extern char etext, sdata, edata, bss_start, end;
void
sectionInit()
{
	char	*src;
	char	*dst;

	/*	f[^̈	*/
	src	= &etext;
	dst	= &sdata;
	while (dst < &edata) {
		*dst++	= *src++;
	}
	/*	f[^̈	*/
	for ( dst = &bss_start; dst < &end; dst++ ) {
		*dst = 0;
	}
}

/************************************/
/*	CMT0						*/
/************************************/
void cmt0_init(void)
{
	def_int_hdr(144,(void*)int_cmi0);	/*荞݃nh̐ݒ			*/
	INTC.IPRG.WORD		&= ~0x00f0;		/*	CMT0 InterruptLevel = 7			*/
	INTC.IPRG.WORD		|= 0x0070;

	CMT.CMSTR.WORD		&= ~0x0001;		/*	CMCNTJEg~				*/
	CMT0.CMCSR.WORD		= 0x0040;		/*	NbNӁ^W, ݋		*/
	CMT0.CMCOR			= 0x8bd3-1;		/*	(28.636MHz/8)/35795 = 10msec	*/
	CMT.CMSTR.WORD		|= 0x0001;		/*	CMCNTJEgJn				*/
}

/************************************/
/*	CMT0荞					*/
/************************************/
#pragma interrupt
void int_cmi0(void)
{
	static char		flag;

	CMT0.CMCSR.WORD &= ~0x0080;			/*bleNA				*/
	/*	|[gON/OFF	*/
	if( 0 != flag ) {
		PE.DR.WORD = 0xffff;
		flag = 0;
	} else {
		PE.DR.WORD = 0x0000;
		flag = 1;
	}
	UserLogTimer++;
}

/************************************/
/*	MTU0						*/
/************************************/
void mtu0_init(void)
{

	def_int_hdr(88,(void*)int_mtu0);	/*荞݃nh̐ݒ			*/
	INTC.IPRD.WORD		&= ~0xf000;		/*	MTU0 InterruptLevel = 7			*/
	INTC.IPRD.WORD		|= 0x7000;

	MTU0.TCR.BYTE		= 0x23;			/*sfq`̃RyA}b`			*/
										/*オGbWŃJEg		*/
										/*Ӂ^USŃJEg				*/
	MTU0.TIOR.BYTE.H	= 0x00;			/*TGR0B,TGR0A						*/
	MTU0.TIOR.BYTE.L	= 0x00;			/*TGR0D,TGR0C						*/
	MTU0.TIER.BYTE		= 0x41;			/*sfe`荞ݗv		*/
	MTU0.TGRA			= 0x08bd-1;		/*TJE^					*/
	MTU0.TCNT			= 0x0000;		/*JE^NA					*/
	MTU0.TSR.BYTE		= 0x00;			/*Xe[^XNA					*/

	PWM.TOER.BYTE		= 0xc0;			/*lsto͋֎~					*/
	MTU.TSTR.BYTE		|= 0x01;		/*JE^X^[g					*/
}

/************************************/
/*	MTU0荞					*/
/************************************/
#pragma interrupt
void int_mtu0(void)
{
	static char		flag;
	unsigned char	wk;

	wk = MTU0.TSR.BYTE;
	MTU0.TSR.BYTE = 0xc0;

	/*	|[gON/OFF	*/
	if( flag == 0 ) {
		PB.DR.WORD = 0x003c;
		flag = 1;
	} else {
		PB.DR.WORD = 0x0000;
		flag = 0;
	}
}
