#include	"7144s.h"
#include	"fpga_set.h"
#include	"gmachine.h"
#include	"userlog.h"
#define		UserLogAdd	0xFFFFF000	/* ޯpRAM̈̐擪w肷	*/

#define		FPGA_CFG	1				/*FPGARtBM[V̕@
										  CPUsȂƂ 1
										  JTAGsȂƂ 0*/


void	boot(void);
void	__main(void);
int		main(void);

void	sectionInit(void);
void	cmt0_init(void);
void	int_cmi0(void);
void	mtu0_init(void);
void	int_mtu0(void);
void	fpga_tmr_init(void);
void	int_irq7(void);

long	UserLogTimer = 0;

/************************************/
/*	__main(_~[)					*/
/************************************/
void __main(void)
{
}

/************************************/
/*	CPU						*/
/************************************/
void boot(void)
{
	/* X^oC[h̉ */
	MST.CR2.WORD &= ~0x3000;
	
	/* oXݒ */
	BSC.BCR1.WORD		= 0x2007;		/*	CS0:16bit	*/
										/*	CS1:16bit	*/
										/*	CS2:16bit	*/
										/*	CS3: 8bit	*/
	BSC.BCR2.WORD		= 0x5500;		/*CS0~CS3 1AChTCN*/
	BSC.WCR1.WORD		= 0x0030;		/*CS1 3EFCg*/
	
	/* hn|[gݒ */
	PFC.PACRL1.WORD		= 0x5540;		/*CK RD WRH WRL CS1 PA10~8*/
	PFC.PACRL2.WORD		= 0x8140;		/*CS3 TXD1 RXD1 PA6 PA5 PA2~0*/
	
	PFC.PBCR1.WORD		= 0x0004;		/*IRQ7,PB8*/
	PFC.PBCR2.WORD		= 0xa005;		/*A19~16 PB5~2*/
	
	PFC.PCCR.WORD		= 0xffff;		/*A15~0*/
	
	PFC.PDCRL1.WORD		= 0xFFFF;		/*D15~0*/
	
	PFC.PECRL1.WORD		= 0x0000;		/*PE15~8*/
	PFC.PECRL2.WORD		= 0x0000;		/*PE7~0*/
	
	PA.DR.WORD.L		= 0x0000;		/*PA o̓|[gl*/
	PFC.PAIORL.WORD		= 0x0767;		/*[OUT]PA10~8,6,5,2~0   [IN]--		*/
	PB.DR.WORD			= 0x0000;		/*PB o̓|[gl*/
	PFC.PBIOR.WORD		= 0x003c;		/*[OUT]PB5~2   [IN]PB8				*/
	PE.DRL.WORD			= 0x2000;		/*PE o̓|[gl*/
	PFC.PEIORL.WORD		= 0xa020;		/*[OUT]PE15,13,5  [IN]PE14,12~6,4~0 */

	sectionInit();						/*					*/

	main();

	for(;;);
}

/************************************/
/*	MAIN֐						*/
/************************************/
int
main()
{
	char	buf[10] = "Count =  ";
	short	UserLogCount = 0;
	short	fpga_flag;

	cmt0_init();						/*	CMT0					*/
	mtu0_init();

	/*FPGA ̃RtBM[V*/
	fpga_reset_on();					/*FPGA ZbgM*/
	
#if (FPGA_CFG == 1)
										/*FPGARtBO[V*/
	fpga_flag = fpgaFALSE;
	while(fpga_flag == fpgaFALSE)
	{
		fpga_flag = fpga_config();
	}
#endif
	
										/*FPGA I*/
	fpga_flag = fpgaFALSE;
	while(fpga_flag == fpgaFALSE)
	{
		fpga_flag = check_fpga_init();
	}
	
	fpga_reset_off();					/*FPAG Zbg*/
	
	fpga_tmr_init();					/*FPGA^C}̏*/
	
	UserLogInit(UserLogAdd);			/* հް۸޸ڽݒ			*/
	
	set_imask(0);						/*	荞݃}XN			*/

	for(;;) {
		if ( 100 <= UserLogTimer ) {
			UserLogTimer = 0;
			buf[8] = UserLogCount | 0x30;
			UserLogPut(&buf[0]);		/* հް۸ޕ\			*/
			UserLogCount++;
			if (UserLogCount >= 10 ){
				UserLogCount = 0;
			}
		}
	}
	return 0;
}

/************************************/
/*	ZNV				*/
/************************************/
extern char etext, sdata, edata, bss_start, end;
void
sectionInit()
{
	char	*src;
	char	*dst;

	/*	f[^̈	*/
	src	= &etext;
	dst	= &sdata;
	while (dst < &edata) {
		*dst++	= *src++;
	}
	/*	f[^̈	*/
	for ( dst = &bss_start; dst < &end; dst++ ) {
		*dst = 0;
	}
}

/************************************/
/*	CMT0						*/
/************************************/
void cmt0_init(void)
{
	def_int_hdr(144,(void*)int_cmi0);	/*荞݃nh̐ݒ			*/
	INTC.IPRG.WORD		&= ~0x00f0;		/*	CMT0 InterruptLevel = 7			*/
	INTC.IPRG.WORD		|= 0x0070;

	CMT.CMSTR.WORD		&= ~0x0001;		/*	CMCNTJEg~				*/
	CMT0.CMCSR.WORD		= 0x0040;		/*	NbNӁ^W, ݋		*/
	CMT0.CMCOR			= 30720-1;		/*(24.576MHz/8)/30720 = 10msec		*/
	CMT.CMSTR.WORD		|= 0x0001;		/*	CMCNTJEgJn				*/
}

/************************************/
/*	CMT0荞					*/
/************************************/
#pragma interrupt
void int_cmi0(void)
{
	static char		flag;

	CMT0.CMCSR.WORD &= ~0x0080;			/*bleNA				*/
	/*	|[gON/OFF	*/
	if( 0 != flag ) {
		PA.DR.WORD.L |= 0x0767;
		flag = 0;
	} else {
		PA.DR.WORD.L &= ~0x0767;
		flag = 1;
	}
	UserLogTimer++;
}

/************************************/
/*	MTU0						*/
/************************************/
void mtu0_init(void)
{

	def_int_hdr(88,(void*)int_mtu0);	/*荞݃nh̐ݒ			*/
	INTC.IPRD.WORD		&= ~0xf000;		/*	MTU0 InterruptLevel = 7			*/
	INTC.IPRD.WORD		|= 0x7000;

	MTU0.TCR.BYTE		= 0x23;			/*sfq`̃RyA}b`			*/
										/*オGbWŃJEg		*/
										/*Ӂ^USŃJEg				*/
	MTU0.TIOR.BYTE.H	= 0x00;			/*TGR0B,TGR0A						*/
	MTU0.TIOR.BYTE.L	= 0x00;			/*TGR0D,TGR0C						*/
	MTU0.TIER.BYTE		= 0x41;			/*sfe`荞ݗv		*/
	MTU0.TGRA			= 1920-1;		/*(24.576MHz/64)/1920 = 5msec		*/
	MTU0.TCNT			= 0x0000;		/*JE^NA					*/
	MTU0.TSR.BYTE		= 0x00;			/*Xe[^XNA					*/

	MTU.TSTR.BYTE		|= 0x01;		/*JE^X^[g					*/
}

/************************************/
/*	MTU0荞					*/
/************************************/
#pragma interrupt
void int_mtu0(void)
{
	static char		flag;
	unsigned char	wk;

	MTU0.TSR.BYTE &= ~0x01;				/*TGFANA*/

	/*	|[gON/OFF	*/
	if( flag == 0 ) {
		PB.DR.WORD |= 0x003c;
		flag = 1;
	} else {
		PB.DR.WORD &= ~0x003c;
		flag = 0;
	}
}

/************************************/
/*	FPGA^C}						*/
/************************************/
#define FpgaTmrCntH		(*(volatile unsigned char *)(FpgaAddress + 0x00000000))
#define FpgaTmrCntL		(*(volatile unsigned char *)(FpgaAddress + 0x00000001))
#define FpgaTmrIntClr	(*(volatile unsigned char *)(FpgaAddress + 0x00000002))

/************************************/
/*	FPGA^C}				*/
/************************************/
void fpga_tmr_init(void)
{
	def_int_hdr(71,(void*)int_irq7);	/*荞݃nh̐ݒ			*/
										/*IRQ7 荞݃x = 0			*/
	INTC.IPRB.WORD = (INTC.IPRB.WORD & ~0x000f) | 0x0000;
	
	FpgaTmrIntClr = 0x00;				/*荞݃tONA				*/
										/*JE^̒lZbg				*/
										/*49152000Hz/49152 = 1msec			*/
	FpgaTmrCntH = (unsigned char)(((49152-1) >> 8)& 0x00ff);
	FpgaTmrCntL = (unsigned char)((49152-1) & 0x00ff);
	
	INTC.ICR1.WORD &= ~0x0080;			/*IRQ7 [xŊ荞ݗv		*/
										/*IRQ7 荞݃x = 7			*/
	INTC.IPRB.WORD = (INTC.IPRB.WORD & ~0x000f) | 0x0007;
}

/****************************************/
/*	FPGA^C}荞݁iIRQ7j			*/
/****************************************/
#pragma interrupt
void int_irq7(void)
{
	static char		flag;
	static short	count = 0;
	
	FpgaTmrIntClr = 0x00;				/*荞݃tONA*/
										/*JE^̒lZbg*/
	FpgaTmrCntH = (unsigned char)(((49152-1) >> 8) & 0x00ff);
	FpgaTmrCntL = (unsigned char)((49152-1) & 0x00ff);
	
	count++;
	if (count >= 500)
	{
		count = 0;
		if (flag == 0)
		{
			PE.DRL.WORD |= 0x8000;			/*LED _*/
			flag = 1;
		}
		else
		{
			PE.DRL.WORD &= ~0x8000;			/*LED */
			flag = 0;
		}
	}
}

