/************************************************************************/
/*      SH7604 Include File                                Ver 1.1      */
/************************************************************************/
struct st_sci {                                         /* struct SCI   */
              union {                                   /* SMR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CA  :1;        /*    C/A       */
                           unsigned char CHR :1;        /*    CHR       */
                           unsigned char PE  :1;        /*    PE        */
                           unsigned char OE  :1;        /*    O/E       */
                           unsigned char STOP:1;        /*    STOP      */
                           unsigned char MP  :1;        /*    MP        */
                           unsigned char CKS :2;        /*    CKS       */
                           }      BIT;                  /*              */
                    }           SMR;                    /*              */
              unsigned char     BRR;                    /* BRR          */
              union {                                   /* SCR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char MPIE:1;        /*    MPIE      */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char CKE :2;        /*    CKE       */
                           }      BIT;                  /*              */
                    }           SCR;                    /*              */
              unsigned char     TDR;                    /* TDR          */
              union {                                   /* SSR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TDRE:1;        /*    TDRE      */
                           unsigned char RDRF:1;        /*    RDRF      */
                           unsigned char ORER:1;        /*    ORER      */
                           unsigned char FER :1;        /*    FER       */
                           unsigned char PER :1;        /*    PER       */
                           unsigned char TEND:1;        /*    TEND      */
                           unsigned char MPB :1;        /*    MPB       */
                           unsigned char MPBT:1;        /*    MPBT      */
                           }      BIT;                  /*              */
                    }           SSR;                    /*              */
              unsigned char     RDR;                    /* RDR          */
              char              wk[2];                  /*              */
};                                                      /*              */
struct st_frt {                                         /* struct FRT   */
              union {                                   /* TIER         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ICIE :1;       /*    ICIE      */
                           unsigned char      :3;       /*              */
                           unsigned char OCIAE:1;       /*    OCIAE     */
                           unsigned char OCIBE:1;       /*    OCIBE     */
                           unsigned char OVIE :1;       /*    OVIE      */
                           }      BIT;                  /*              */
                    }           TIER;                   /*              */
              union {                                   /* FTCSR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ICF  :1;       /*    ICF       */
                           unsigned char      :3;       /*              */
                           unsigned char OCFA :1;       /*    OCFA      */
                           unsigned char OCFB :1;       /*    OCFB      */
                           unsigned char OVF  :1;       /*    OVF       */
                           unsigned char CCLRA:1;       /*    CCLRA     */
                           }      BIT;                  /*              */
                    }           FTCSR;                  /*              */
              unsigned char    FRCH;                    /* FRC H          */
              unsigned char    FRCL;                    /* FRC L         */
              unsigned char    OCRH;                    /* OCRA or OCRB */
              unsigned char    OCRL;                    /* OCRA or OCRB */
              union {                                   /* TCR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char IEDGA:1;       /*    IEDGA     */
                           unsigned char      :5;       /*              */
                           unsigned char CKS  :2;       /*    CKS       */
                           }      BIT;                  /*              */
                    }           TCR;                    /*              */
              union {                                   /* TOCR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :3;       /*              */
                           unsigned char OCRS :1;       /*    OCRS      */
                           unsigned char      :2;       /*              */
                           unsigned char OLVLA:1;       /*    OLVLA     */
                           unsigned char OLVLB:1;       /*    OLVLB     */
                           }      BIT;                  /*              */
                    }           TOCR;                   /*              */
              unsigned short    FICR;                   /* FICR         */
};                                                      /*              */
struct st_intc {                                        /* struct INTC  */
               union {                                  /* IPRB         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short UU:4;        /*    SCI       */
                            unsigned short UL:4;        /*    FRT       */
                            }       BIT;                /*              */
                     }          IPRB;                   /*              */
               union {                                  /* VCRA         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char  H;           /*    SERV      */
                            unsigned char  L;           /*    SRXV      */
                            }       BYTE;               /*              */
                     }          VCRA;                   /*              */
               union {                                  /* VCRB         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char  H;           /*    STXV      */
                            unsigned char  L;           /*    STEV      */
                            }       BYTE;               /*              */
                     }          VCRB;                   /*              */
               union {                                  /* VCRC         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char  H;           /*    FICV      */
                            unsigned char  L;           /*    FOCV      */
                            }       BYTE;               /*              */
                     }          VCRC;                   /*              */
               union {                                  /* VCRD         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char  H;           /*    FOVV      */
                            }       BYTE;               /*              */
                     }          VCRD;                   /*              */
               char             wk[118];                /*              */
               union {                                  /* ICR          */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short NIMIL:1;     /*    NIMIL     */
                            unsigned short      :6;     /*              */
                            unsigned short NIMIE:1;     /*    NIMIE     */
                            unsigned short      :7;     /*              */
                            unsigned short VECMD:1;     /*    VECMD     */
                            }       BIT;                /*              */
                     }          ICR;                    /*              */
               union {                                  /* IPRA         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short UU:4;        /*    DIVU      */
                            unsigned short UL:4;        /*    DMAC      */
                            unsigned short LU:4;        /*    WDT       */
                            }       BIT;                /*              */
                     }          IPRA;                   /*              */
               union {                                  /* VCRWDT       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char  H;           /*    WITV      */
                            unsigned char  L;           /*    BCMV      */
                            }       BYTE;               /*              */
                     }          VCRWDT;                 /*              */
};                                                      /*              */
struct st_dmac {                                        /* struct DMAC  */
               unsigned int     DMAOR;                  /* DMAOR        */
};                                                      /*              */
struct st_dmac0 {                                       /* struct DMAC0 */
		unsigned char   wk1[1];                 /*              */
                union {                                 /* DRCR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char   :6;        /*              */
                             unsigned char RS:2;        /*    RS        */
                             }      BIT;                /*              */
                      }         DRCR;                   /*              */
                char            wk2[270];               /*              */
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    TCR;                    /* TCR          */
                unsigned int    CHCR;                   /* CHCR         */
                char            wk3[16];                /*              */
                unsigned int    VCRDMA;                 /* VCRDMA       */
};                                                      /*              */
struct st_dmac1 {                                       /* struct DMAC1 */
		unsigned char   wk1[2];                 /*              */
                union {                                 /* DRCR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char   :6;        /*              */
                             unsigned char RS:2;        /*    RS        */
                             }      BIT;                /*              */
                      }         DRCR;                   /*              */
                char            wk2[285];               /*              */
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    TCR;                    /* TCR          */
                unsigned int    CHCR;                   /* CHCR         */
                char            wk3[8];                 /*              */
                unsigned int    VCRDMA;                 /* VCRDMA       */
};                                                      /*              */
struct st_divu {                                        /* struct DIVU  */
               int              DVSR;                   /* DVSR         */
               int              DVDNT;                  /* DVDNT        */
               char             wk1[2];                 /*              */
               unsigned short   DVCR;                   /* DVCR         */
               char             wk2[2];                 /*              */
               unsigned short   VCRDIV;                 /* VCRDIV       */
               int              DVDNTH;                 /* DVDNTH       */
               int              DVDNTL;                 /* DVDNTL       */
};                                                      /*              */
struct st_ubc {                                         /* struct UBC   */
              void             *BARA;                   /* BARA         */
              unsigned long     BAMRA;                  /* BAMRA        */

              union {                                   /* UBBR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char   :8;          /*              */
                           unsigned char CP:2;          /*    CP        */
                           unsigned char ID:2;          /*    ID        */
                           unsigned char RW:2;          /*    RW        */
                           unsigned char SZ:2;          /*    SZ        */
                           }       BIT;                 /*              */
                    }           BBRA;                   /*              */

              char              wk1[22];                /*              */
              void             *BARB;                   /* BARB         */
              unsigned long     BAMRB;                  /* BAMRB        */
              unsigned short    BBRB;                   /* BBRB         */
              char              wk2[6];                 /*              */
              unsigned long     BDRB;                   /* BDRB         */
              unsigned long     BDMRB;                  /* BDMRB        */
              unsigned short    BRCR;                   /* BRCR         */
};                                                      /*              */
struct st_bsc {                                         /* struct BSC   */
              unsigned long     BCR1;                   /* BCR1         */
              unsigned long     BCR2;                   /* BCR2         */
              unsigned long     WCR;                    /* WCR          */
              unsigned long     MCR;                    /* MCR          */
              unsigned long     RTCSR;                  /* RTCSR        */
              unsigned long     RTCNT;                  /* RTCNT        */
              unsigned long     RTCOR;                  /* RTCOR        */
};                                                      /*              */
union un_sbycr {                                        /* union SBYCR  */
               unsigned char    BYTE;                   /*  Byte Access */
               struct {                                 /*  Bit  Access */
                      unsigned char SBY  :1;            /*    SBY       */
                      unsigned char HIZ  :1;            /*    HIZ       */
                      unsigned char      :1;            /*              */
                      unsigned char MSTP4:1;            /*    MSTP4     */
                      unsigned char MSTP3:1;            /*    MSTP3     */
                      unsigned char MSTP2:1;            /*    MSTP2     */
                      unsigned char MSTP1:1;            /*    MSTP1     */
                      unsigned char MSTP0:1;            /*    MSTP0     */
                      }         BIT;                    /*              */
};                                                      /*              */
union un_ccr {                                          /* union CCR    */
             unsigned char      BYTE;                   /*  Byte Access */
             struct {                                   /*  Bit  Access */
                    unsigned char W :2;                 /*    W         */
                    unsigned char   :1;                 /*              */
                    unsigned char CP:1;                 /*    CP        */
                    unsigned char TW:1;                 /*    TW        */
                    unsigned char OC:1;                 /*    OC        */
                    unsigned char ID:1;                 /*    ID        */
                    unsigned char CE:1;                 /*    CE        */
                    }           BIT;                    /*              */
};                                                      /*              */
#define SCI   (*(volatile struct st_sci   *)0xFFFFFE00) /* SCI   Address*/
#define FRT   (*(volatile struct st_frt   *)0xFFFFFE10) /* FRT   Address*/
#define INTC  (*(volatile struct st_intc  *)0xFFFFFE60) /* INTC  Address*/
#define DMAC  (*(volatile struct st_dmac  *)0xFFFFFFB0) /* DMAC  Address*/
#define DMAC0 (*(volatile struct st_dmac0 *)0xFFFFFE70) /* DMAC0 Address*/
#define DMAC1 (*(volatile struct st_dmac1 *)0xFFFFFE70) /* DMAC1 Address*/
#define DIVU  (*(volatile struct st_divu  *)0xFFFFFF00) /* INTC  Address*/
#define UBC   (*(volatile struct st_ubc   *)0xFFFFFF40) /* UBC   Address*/
#define BSC   (*(volatile struct st_bsc   *)0xFFFFFFE0) /* BSC   Address*/
#define SBYCR (*(volatile union  un_sbycr *)0xFFFFFE91) /* SBYCR Address*/
#define CCR   (*(volatile union  un_ccr   *)0xFFFFFE92) /* SBYCR Address*/
