/****************************************************************************/
/*		SH7708/7718 WX^											*/
/****************************************************************************/
#ifndef		_SH7708_H_
#define		_SH7708_H_

struct st_sci {                                         /* struct SCI   */
              union {                                   /* SCSMR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CA  :1;        /*    C/A       */
                           unsigned char CHR :1;        /*    CHR       */
                           unsigned char PE  :1;        /*    PE        */
                           unsigned char OE  :1;        /*    O/E       */
                           unsigned char STOP:1;        /*    STOP      */
                           unsigned char MP  :1;        /*    MP        */
                           unsigned char CKS :2;        /*    CKS       */
                           }      BIT;                  /*              */
                    }           SCSMR;                  /*              */
              char              wk1;                    /*              */
              unsigned char     SCBRR;                  /* SCBRR        */
              char              wk2;                    /*              */
              union {                                   /* SCSCR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char MPIE:1;        /*    MPIE      */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char CKE :2;        /*    CKE       */
                           }      BIT;                  /*              */
                    }           SCSCR;                  /*              */
              char              wk3;                    /*              */
              unsigned char     SCTDR;                  /* SCTDR        */
              char              wk4;                    /*              */
              union {                                   /* SCSSR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TDRE:1;        /*    TDRE      */
                           unsigned char RDRF:1;        /*    RDRF      */
                           unsigned char ORER:1;        /*    ORER      */
                           unsigned char FER :1;        /*    FER       */
                           unsigned char PER :1;        /*    PER       */
                           unsigned char TEND:1;        /*    TEND      */
                           unsigned char MPB :1;        /*    MPB       */
                           unsigned char MPBT:1;        /*    MPBT      */
                           }      BIT;                  /*              */
                    }           SCSSR;                  /*              */
              char              wk5;                    /*              */
              unsigned char     SCRDR;                  /* SCRDR        */
              char              wk6;                    /*              */
              union {                                   /* SCSCMR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :4;        /*              */
                           unsigned char SDIR:1;        /*    SDIR      */
                           unsigned char SINV:1;        /*    SINV      */
                           unsigned char     :1;        /*              */
                           unsigned char SMIF:1;        /*    SMIF      */
                           }      BIT;                  /*              */
                    }           SCSCMR;                 /*              */
};                                                      /*              */
struct st_tmu {                                         /* struct TMU   */
              union {                                   /* TOCR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :7;        /*              */
                           unsigned char TCOE:1;        /*    TCOE      */
                           }      BIT;                  /*              */
                    }           TOCR;                   /*              */
              char              wk;                     /*              */
              union {                                   /* TSTR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :5;        /*              */
                           unsigned char STR2:1;        /*    STR2      */
                           unsigned char STR1:1;        /*    STR1      */
                           unsigned char STR0:1;        /*    STR0      */
                           }      BIT;                  /*              */
                    }           TSTR;                   /*              */
};                                                      /*              */
struct st_tmu0 {                                        /* struct TMU0  */
               unsigned int     TCOR;                   /* TCOR         */
               unsigned int     TCNT;                   /* TCNT         */
               union {                                  /* TCR          */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :7;      /*              */
                            unsigned short UNF :1;      /*    UNF       */
                            unsigned short     :2;      /*              */
                            unsigned short UNIE:1;      /*    UNIE      */
                            unsigned short CKEG:2;      /*    CKEG      */
                            unsigned short TPSC:3;      /*    TPSC      */
                            }       BIT;                /*              */
                     }          TCR;                    /*              */
};                                                      /*              */
struct st_tmu2 {                                        /* struct TMU2  */
               unsigned int     TCOR;                   /* TCOR         */
               unsigned int     TCNT;                   /* TCNT         */
               union {                                  /* TCR          */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :6;      /*              */
                            unsigned short ICPF:1;      /*    ICPF      */
                            unsigned short UNF :1;      /*    UNF       */
                            unsigned short ICPE:2;      /*    ICPE      */
                            unsigned short UNIE:1;      /*    UNIE      */
                            unsigned short CKEG:2;      /*    CKEG      */
                            unsigned short TPSC:3;      /*    TPSC      */
                            }       BIT;                /*              */
                     }          TCR;                    /*              */
               char             wk[2];                  /*              */
               unsigned int     TCPR;                   /* TCPR         */
};                                                      /*              */
struct st_rtc {                                         /* struct RTC   */
              union {                                   /* R64CNT       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :1;        /*              */
                           unsigned char Hz1 :1;        /*     1Hz      */
                           unsigned char Hz2 :1;        /*     2Hz      */
                           unsigned char Hz4 :1;        /*     4Hz      */
                           unsigned char Hz8 :1;        /*     8Hz      */
                           unsigned char Hz16:1;        /*    16Hz      */
                           unsigned char Hz32:1;        /*    32Hz      */
                           unsigned char Hz64:1;        /*    64Hz      */
                           }      BIT;                  /*              */
                    }           R64CNT;                 /*              */
              char              wk1;                    /*              */
              union {                                   /* RSECCNT      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :1;         /*              */
                           unsigned char S10:3;         /*    10sec     */
                           unsigned char S1 :4;         /*     1sec     */
                           }      BIT;                  /*              */
                    }           RSECCNT;                /*              */
              char              wk2;                    /*              */
              union {                                   /* RMINCNT      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :1;         /*              */
                           unsigned char M10:3;         /*    10min     */
                           unsigned char M1 :4;         /*     1min     */
                           }      BIT;                  /*              */
                    }           RMINCNT;                /*              */
              char              wk3;                    /*              */
              union {                                   /* RHRCNT       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :2;         /*              */
                           unsigned char H10:2;         /*    10sec     */
                           unsigned char H1 :4;         /*     1sec     */
                           }      BIT;                  /*              */
                    }           RHRCNT;                 /*              */
              char              wk4;                    /*              */
              union {                                   /* RWKCNT       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char   :5;          /*              */
                           unsigned char WK:3;          /*    week      */
                           }      BIT;                  /*              */
                    }           RWKCNT;                 /*              */
              char              wk5;                    /*              */
              union {                                   /* RDAYCNT      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :2;         /*              */
                           unsigned char D10:2;         /*    10day     */
                           unsigned char D1 :4;         /*     1day     */
                           }      BIT;                  /*              */
                    }           RDAYCNT;                /*              */
              char              wk6;                    /*              */
              union {                                   /* RMONCNT      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :3;         /*              */
                           unsigned char M10:1;         /*    10mon     */
                           unsigned char M1 :4;         /*     1mon     */
                           }      BIT;                  /*              */
                    }          RMONCNT;                 /*              */
              char             wk7;                     /*              */
              union {                                   /* RYRCNT       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char Y10:4;         /*    10year    */
                           unsigned char Y1 :4;         /*     1year    */
                           }      BIT;                  /*              */
                    }           RYRCNT;                 /*              */
              char              wk8;                    /*              */
              union {                                   /* RSECAR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*    ENB       */
                           unsigned char S10:3;         /*    10sec     */
                           unsigned char S1 :4;         /*     1sec     */
                           }      BIT;                  /*              */
                    }           RSECAR;                 /*              */
              char              wk9;                    /*              */
              union {                                   /* RMINAR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*    ENB       */
                           unsigned char M10:3;         /*    10min     */
                           unsigned char M1 :4;         /*     1min     */
                           }      BIT;                  /*              */
                    }           RMINAR;                 /*              */
              char              wk10;                   /*              */
              union {                                   /* RHRAR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*    ENB       */
                           unsigned char    :1;         /*              */
                           unsigned char H10:2;         /*    10sec     */
                           unsigned char H1 :4;         /*     1sec     */
                           }      BIT;                  /*              */
                    }           RHRAR;                  /*              */
              char              wk11;                   /*              */
              union {                                   /* RWKAR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*    ENB       */
                           unsigned char    :4;         /*              */
                           unsigned char WK :3;         /*    week      */
                           }      BIT;                  /*              */
                    }           RWKAR;                  /*              */
              char              wk12;                   /*              */
              union {                                   /* RDAYAR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*    ENB       */
                           unsigned char    :1;         /*              */
                           unsigned char D10:2;         /*    10day     */
                           unsigned char D1 :4;         /*     1day     */
                           }      BIT;                  /*              */
                    }           RDAYAR;                 /*              */
              char              wk13;                   /*              */
              union {                                   /* RMONAR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*    ENB       */
                           unsigned char    :2;         /*              */
                           unsigned char M10:1;         /*    10mon     */
                           unsigned char M1 :4;         /*     1mon     */
                           }      BIT;                  /*              */
                    }           RMONAR;                 /*              */
              char              wk14;                   /*              */
              union {                                   /* RCR1         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CF :1;         /*    CF        */
                           unsigned char    :2;         /*              */
                           unsigned char CIE:1;         /*    CIE       */
                           unsigned char AIE:1;         /*    AIE       */
                           unsigned char    :2;         /*              */
                           unsigned char AF :1;         /*    AF        */
                           }      BIT;                  /*              */
                    }           RCR1;                   /*              */
              char              wk15;                   /*              */
              union {                                   /* RCR2         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char PEF  :1;       /*    PEF       */
                           unsigned char PES  :3;       /*    PES       */
                           unsigned char RTCEN:1;       /*    RTCEN     */
                           unsigned char ADJ  :1;       /*    ADJ       */
                           unsigned char RESET:1;       /*    RESET     */
                           unsigned char START:1;       /*    START     */
                           }      BIT;                  /*              */
                    }           RCR2;                   /*              */
};                                                      /*              */
struct st_intc {                                        /* struct INTC  */
               union {                                  /* ICR          */
                     unsigned short WORD;               /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned short NMIL:1;      /*    NMIL      */
                            unsigned short     :6;      /*              */
                            unsigned short NMIE:1;      /*    NMIE      */
                            }       BIT;                /*              */
                     }          ICR;                    /*              */
               union {                                  /* IPRA         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short UU:4;        /*    TMU0      */
                            unsigned short UL:4;        /*    TMU1      */
                            unsigned short LU:4;        /*    TMU2      */
                            unsigned short LL:4;        /*    RTC       */
                            }       BIT;                /*              */
                     }          IPRA;                   /*              */
               union {                                  /* IPRB         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short UU:4;        /*    WDT       */
                            unsigned short UL:4;        /*    REF       */
                            unsigned short LU:4;        /*    SCI       */
                            }       BIT;                /*              */
                     }          IPRB;                   /*              */
               char             wk[234];                /*              */
               unsigned int     TRA;                    /* TRA          */
               unsigned int     EXPEVT;                 /* EXPEVT       */
               unsigned int     INTEVT;                 /* INTEVT       */
};                                                      /*              */
struct st_bsc {                                         /* struct BSC   */
              union {                                   /* BCR1         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short       :2;     /*              */
                           unsigned short HIZMEM:1;     /*    HIZMEM    */
                           unsigned short HIZCNT:1;     /*    HIZCNT    */
                           unsigned short ENDIAN:1;     /*    ENDIAN    */
                           unsigned short A0BST :2;     /*    A0BST     */
                           unsigned short A5BST :2;     /*    A5BST     */
                           unsigned short A6BST :2;     /*    A6BST     */
                           unsigned short DRAMTP:3;     /*    DRAMTP    */
                           unsigned short A5PCM :1;     /*    A5PCM     */
                           unsigned short A6PCM :1;     /*    A6PCM     */
                           }       BIT;                 /*              */
                    }           BCR1;                   /*              */
              union {                                   /* BCR2         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short       :2;     /*              */
                           unsigned short A6SZ  :2;     /*    A6SZ      */
                           unsigned short A5SZ  :2;     /*    A5SZ      */
                           unsigned short A4SZ  :2;     /*    A4SZ      */
                           unsigned short A3SZ  :2;     /*    A3SZ      */
                           unsigned short A2SZ  :2;     /*    A2SZ      */
                           unsigned short A1SZ  :2;     /*    A1SZ      */
                           unsigned short       :1;     /*              */
                           unsigned short PORTEN:1;     /*    PORTEN    */
                           }       BIT;                 /*              */
                    }           BCR2;                   /*              */
              union {                                   /* WCR1         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short     :2;       /*              */
                           unsigned short A6IW:2;       /*    A6IW      */
                           unsigned short A5IW:2;       /*    A5IW      */
                           unsigned short A4IW:2;       /*    A4IW      */
                           unsigned short A3IW:2;       /*    A3IW      */
                           unsigned short A2IW:2;       /*    A2IW      */
                           unsigned short A1IW:2;       /*    A1IW      */
                           unsigned short A0IW:2;       /*    A0IW      */
                           }       BIT;                 /*              */
                    }           WCR1;                   /*              */
              union {                                   /* WCR2         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short A6W  :3;      /*    A6W       */
                           unsigned short A5W  :3;      /*    A5W       */
                           unsigned short A4W  :3;      /*    A4W       */
                           unsigned short A3W  :2;      /*    A3W       */
                           unsigned short A1_2W:2;      /*    A1_2W     */
                           unsigned short A0W  :3;      /*    A0W       */
                           }       BIT;                 /*              */
                    }           WCR2;                   /*              */
              union {                                   /* MCR          */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short TPC    :2;    /*    TPC       */
                           unsigned short RCD    :2;    /*    RCD       */
                           unsigned short TRWL   :2;    /*    TRWL      */
                           unsigned short TRAS   :2;    /*    TRAS      */
                           unsigned short        :1;    /*              */
                           unsigned short BE     :1;    /*    BE        */
                           unsigned short SZ     :1;    /*    SZ        */
                           unsigned short AMX    :2;    /*    AMX       */
                           unsigned short RFSH   :1;    /*    RFSH      */
                           unsigned short RMODE  :1;    /*    RMODE     */
                           unsigned short EDOMODE:1;    /*    EDOMODE   */
                           }       BIT;                 /*              */
                    }           MCR;                    /*              */
              union {                                   /* DCR          */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short TPC  :2;      /*    TPC       */
                           unsigned short RCD  :2;      /*    RCD       */
                           unsigned short      :2;      /*              */
                           unsigned short TRAS :2;      /*    TRAS      */
                           unsigned short      :1;      /*              */
                           unsigned short BE   :1;      /*    BE        */
                           unsigned short      :1;      /*              */
                           unsigned short AMX  :2;      /*    AMX       */
                           unsigned short RFSH :1;      /*    RFSH      */
                           unsigned short RMODE:1;      /*    RMODE     */
                           }       BIT;                 /*              */
                    }           DCR;                    /*              */
              union {                                   /* PCR          */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short      :8;      /*              */
                           unsigned short A5TED:2;      /*    A5TED     */
                           unsigned short A6TED:2;      /*    A6TED     */
                           unsigned short A5TEH:2;      /*    A5TEH     */
                           unsigned short A6TEH:2;      /*    A6TEH     */
                           }       BIT;                 /*              */
                    }           PCR;                    /*              */
              union {                                   /* RTCSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short     :8;       /*              */
                           unsigned short CMF :1;       /*    CMF       */
                           unsigned short CMIE:1;       /*    CMIE      */
                           unsigned short CKS :3;       /*    CKS       */
                           unsigned short OVF :1;       /*    OVF       */
                           unsigned short OVIE:1;       /*    OVIE      */
                           unsigned short LMTS:1;       /*    LMTS      */
                           }       BIT;                 /*              */
                    }           RTCSR;                  /*              */
              unsigned short    RTCNT;                  /* RTCNT        */
              unsigned short    RTCOR;                  /* RTCOR        */
              unsigned short    RFCR;                   /* RFCR         */
};                                                      /*              */
struct st_cpg {                                         /* struct CPG   */
              union {                                   /* FRQCR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short      :7;      /*              */
                           unsigned short CKOEN:1;      /*    CKOEN     */
                           unsigned short PLLEN:1;      /*    PLLEN     */
                           unsigned short PSTBY:1;      /*    PSTBY     */
                           unsigned short STC  :2;      /*    STC       */
                           unsigned short IFC  :2;      /*    IFC       */
                           unsigned short PFC  :2;      /*    PFC       */
                           }       BIT;                 /*              */
                    }           FRQCR;                  /*              */
              union {                                   /* STBCR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char STBY :1;       /*    STBY      */
                           unsigned char      :4;       /*              */
                           unsigned char MSTP2:1;       /*    TMU       */
                           unsigned char MSTP1:1;       /*    RTC       */
                           unsigned char MSTP0:1;       /*    SCI       */
                           }      BIT;                  /*              */
                    }           STBCR;                  /*              */
              char              wk;                     /*              */
              unsigned short    WTCNT;                  /* WTCNT        */
              union {                                   /* WTCSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TME :1;        /*    TME       */
                           unsigned char WTIT:1;        /*    WTIT      */
                           unsigned char RSTS:1;        /*    RSTS      */
                           unsigned char WOVF:1;        /*    WOVF      */
                           unsigned char IOVF:1;        /*    IOVF      */
                           unsigned char CKS :3;        /*    CKS       */
                           }       BIT;                 /*              */
                    }           WTCSR;                  /*              */
};                                                      /*              */
struct st_ubc {                                         /* struct UBC   */
              unsigned int      BDRB;                   /* BDRB         */
              unsigned int      BDMRB;                  /* BDMRB        */
              union {                                   /* BRCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short CMFA:1;       /*    CMFA      */
                           unsigned short CMFB:1;       /*    CMFB      */
                           unsigned short     :3;       /*              */
                           unsigned short PCBA:1;       /*    PCBA      */
                           unsigned short     :2;       /*              */
                           unsigned short DBEB:1;       /*    DBEB      */
                           unsigned short PCBB:1;       /*    PCBB      */
                           unsigned short     :2;       /*              */
                           unsigned short SEQ :1;       /*    SEQ       */
                           }       BIT;                 /*              */
                    }           BRCR;                   /*              */
              char              wk1[6];                 /*              */
              void             *BARB;                   /* BARB         */
              union {                                   /* BAMRB        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :5;       /*              */
                           unsigned char BASMB:1;       /*    BASMB     */
                           unsigned char BAMB :2;       /*    BAMB      */
                           }      BIT;                  /*              */
                    }           BAMRB;                  /*              */
              char              wk2[3];                 /*              */
              union {                                   /* BBRB         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short    :10;       /*              */
                           unsigned short IDB: 2;       /*    IDB       */
                           unsigned short RWB: 2;       /*    RWB       */
                           unsigned short SZB: 2;       /*    SZB       */
                           }       BIT;                 /*              */
                    }           BBRB;                   /*              */
              char              wk3[6];                 /*              */
              void             *BARA;                   /* BARA         */
              union {                                   /* BAMRA        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :5;       /*              */
                           unsigned char BASMA:1;       /*    BASMA     */
                           unsigned char BAMA :2;       /*    BAMA      */
                           }      BIT;                  /*              */
                    }           BAMRA;                  /*              */
              char              wk4[3];                 /*              */
              union {                                   /* BBRA         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short    :10;       /*              */
                           unsigned short IDA: 2;       /*    IDA       */
                           unsigned short RWA: 2;       /*    RWA       */
                           unsigned short SZA: 2;       /*    SZA       */
                           }       BIT;                 /*              */
                    }           BBRA;                   /*              */
              char              wk5[42];                /*              */
              unsigned char     BASRA;                  /* BASRA        */
              char              wk6[3];                 /*              */
              unsigned char     BASRB;                  /* BASRB        */
};                                                      /*              */
struct st_mmu {                                         /* struct MMU   */
              unsigned int      MMUCR;                  /* MMUCR        */
              char              wk[12];                 /*              */
              unsigned int      PTEH;                   /* PTEH         */
              unsigned int      PTEL;                   /* PTEL         */
              unsigned int      TTB;                    /* TTB          */
              unsigned int      TEA;                    /* TEA          */
};                                                      /*              */
union un_ccr {                                          /* union CCR    */
             unsigned int LONG;                         /*  Long Access */
             struct {                                   /*  Bit  Access */
                    unsigned int   :26;                 /*              */
                    unsigned int RA: 1;                 /*    RA        */
                    unsigned int   : 1;                 /*              */
                    unsigned int CF: 1;                 /*    CF        */
                    unsigned int CB: 1;                 /*    CB        */
                    unsigned int WT: 1;                 /*    WT        */
                    unsigned int CE: 1;                 /*    CE        */
                    }     BIT;                          /*              */
};                                                      /*              */
struct st_port {                                        /* struct PORT  */
               union {                                  /* PCTR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PB7PUP:1;    /*    PB7PUP    */
                            unsigned short PB7IO :1;    /*    PB7IO     */
                            unsigned short PB6PUP:1;    /*    PB6PUP    */
                            unsigned short PB6IO :1;    /*    PB6IO     */
                            unsigned short PB5PUP:1;    /*    PB5PUP    */
                            unsigned short PB5IO :1;    /*    PB5IO     */
                            unsigned short PB4PUP:1;    /*    PB4PUP    */
                            unsigned short PB4IO :1;    /*    PB4IO     */
                            unsigned short PB3PUP:1;    /*    PB3PUP    */
                            unsigned short PB3IO :1;    /*    PB3IO     */
                            unsigned short PB2PUP:1;    /*    PB2PUP    */
                            unsigned short PB2IO :1;    /*    PB2IO     */
                            unsigned short PB1PUP:1;    /*    PB1PUP    */
                            unsigned short PB1IO :1;    /*    PB1IO     */
                            unsigned short PB0PUP:1;    /*    PB0PUP    */
                            unsigned short PB0IO :1;    /*    PB0IO     */
                            }       BIT;                /*              */
                     }          PCTR;                   /*              */
               union {                                  /* PDTR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char PB7DT:1;      /*    PB7DT     */
                            unsigned char PB6DT:1;      /*    PB6DT     */
                            unsigned char PB5DT:1;      /*    PB5DT     */
                            unsigned char PB4DT:1;      /*    PB4DT     */
                            unsigned char PB3DT:1;      /*    PB3DT     */
                            unsigned char PB2DT:1;      /*    PB2DT     */
                            unsigned char PB1DT:1;      /*    PB1DT     */
                            unsigned char PB0DT:1;      /*    PB0DT     */
                            }      BIT;                 /*              */
                     }          PDTR;                   /*              */
               char             wk[3];                  /*              */
               union {                                  /* SCSPTR       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char       :4;     /*              */
                            unsigned char SPB1IO:1;     /*    SPB1IO    */
                            unsigned char SPB1DT:1;     /*    SPB1DT    */
                            unsigned char SPB0IO:1;     /*    SPB0IO    */
                            unsigned char SPB0DT:1;     /*    SPB0DT    */
                            }      BIT;                 /*              */
                     }          SCSPTR;                 /*              */
};                                                      /*              */
#define SCI   (*(volatile struct st_sci   *)0xFFFFFE80) /* SCI   Address*/
#define TMU   (*(volatile struct st_tmu   *)0xFFFFFE90) /* TMU   Address*/
#define TMU0  (*(volatile struct st_tmu0  *)0xFFFFFE94) /* TMU0  Address*/
#define TMU1  (*(volatile struct st_tmu0  *)0xFFFFFEA0) /* TMU1  Address*/
#define TMU2  (*(volatile struct st_tmu2  *)0xFFFFFEAC) /* TMU2  Address*/
#define RTC   (*(volatile struct st_rtc   *)0xFFFFFEC0) /* RTC   Address*/
#define INTC  (*(volatile struct st_intc  *)0xFFFFFEE0) /* INTC  Address*/
#define BSC   (*(volatile struct st_bsc   *)0xFFFFFF60) /* BSC   Address*/
#define CPG   (*(volatile struct st_cpg   *)0xFFFFFF80) /* CPG   Address*/
#define UBC   (*(volatile struct st_ubc   *)0xFFFFFF90) /* UBC   Address*/
#define MMU   (*(volatile struct st_mmu   *)0xFFFFFFE0) /* MMU   Address*/
#define CCR   (*(volatile union  un_ccr   *)0xFFFFFFEC) /* CCR   Address*/
#define PORT  (*(volatile struct st_port  *)0xFFFFFF76) /* PORT  Address*/
#define st_tmu1 st_mtu0                         /* Change Struct TMU1   */

#endif
